Plugin Authentication - SPiD

Il plugin Authentication - SPiD si occupa dell'autenticazione dell'utente o della sua eventuale registrazione. Per l’identificazione dell’utente SPiD utilizza il codice fiscale unico europeo (Tax Identification Number). Deve essere posizionato sotto al plugin Authentication - Joomla

Rimuovi suffisso

Per l’utilizzo del codice fiscale italiano abilitare l’opzione per la rimozione del prefisso TINIT-.

  • No il sistema utilizza il codice fiscale unico europeo
  • il sistema utilizza il codice fiscale italiano

In caso di mancata autenticazione il sistema restituisce il messaggio d’errore standard

Consenti registrazione utenti

Per attivare l’auto-registrazione degli utenti SPiD abilitare l’opzione Consenti registrazione utenti

Le opzioni disponibili sono:

  • Usa Globali Utilizza le impostazioni di default di Joomla. Opzioni Utenti
  • No Non permettere la registrazione di nuovi utenti SPiD
  • permetti l’auto-registrazione di nuovi utenti SPiD

La registrazione di un utente SPiD segue le regole di registrazione degli utenti Joomla.

 

Per modificare il comportamento bisogna agire sulle opzioni Utente

La registrazione di un nuovo utente SPiD con indirizzo email già utilizzato, genera il messaggio d’errore standard.

Consenti autenticazione tramite email

Per l’autenticazione tramite email abilitare l’opzione Consenti autenticazione tramite email:

  • No Utilizza esclusivamente il codice fiscale per l’autenticazione
  • Consenti autenticazione tramite email se fallisce l’autenticazione tramite codice fiscale.
  • Sì, aggiorna nome utente Consenti autenticazione tramite email se fallisce l’autenticazione tramite codice fiscale. Se l’autenticazione riesce aggiorna il nome utente con il codice fiscale.

In caso di aggiornamento del nome utente viene generato l’avviso di profilo aggiornato

Approvazione registrazione richiesta

L'approvazione registrazione richiesta account via email sarà possibile solo con l'opzione utente consenti registrazione utenti abilitata

Livello minimo di sicurezza

A partire dalla versione 3.8.5 è possibile impostare il livello minimo di sicurezza dell'autenticazione SPiD. Di default il livello di sicurezza è impostato a SpidL1, anche se il livello non può essere inferiore a quello impostato nella libreria.

In caso di utilizzo di un livello di accesso inferiore a quello autorizzato il sistema restituirà un messaggio d'errore